import { OnInit } from "@angular/core";
import { ColorSequenceService } from "@colijnit/corecomponents_v12";
import { TagTreeItem } from "@colijnit/mainapi/build/model/tag-tree-item.bo";
export declare class TransactionTagComponent implements OnInit {
    private _colorService;
    tag: TagTreeItem;
    showClass(): boolean;
    get hasOwnColor(): boolean;
    backgroundColor: string;
    constructor(_colorService: ColorSequenceService);
    ngOnInit(): void;
}
